Name:          jq
Version:       1.7.1
Release:       1mamba
Summary:       A lightweight and flexible command-line JSON processor
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://stedolan.github.io/jq/
Source:        https://github.com/stedolan/jq.git/jq-%{version}/jq-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libonig-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires(post): %{__install_info}
Requires(preun): %{__install_info}

%description
jq is a lightweight and flexible command-line JSON processor.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
autoreconf -f -i

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/jq
%{_mandir}/man1/jq.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libjq.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/jq.h
%{_includedir}/jv.h
%{_libdir}/libjq.a
%{_libdir}/libjq.so
%dir %{_docdir}/jq
%{_docdir}/jq/*
%{_libdir}/pkgconfig/libjq.pc
%doc ChangeLog NEWS.md README.md

%changelog
* Thu Dec 14 2023 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Sun Sep 10 2023 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Sun Nov 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-1mamba
- package created using the webbuild interface
